Bug 4353 - LO не открывает файлы с русскими именами с FTP-папок
: LO не открывает файлы с русскими именами с FTP-папок
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Low minor
: 2014 Fresh R4
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-04 15:08 MSD by Vladimir Potapov
Modified: 2016-04-25 12:01 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
s11 (277.68 KB, image/png)
2014-09-04 15:08 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-09-04 15:08:53 MSD
Created attachment 3160 [details]
s11

LibreOffice writer не открывает файлы с ftp-папок.
Comment 1 Denis Silakov 2014-09-09 12:57:24 MSD
Здесб неплохо бы заполучить лог со стороны ftp-сервера.

Например, у меня LO в 2014.1 успешно октрывает файлы по ftp с сервера vsftp, работающего в марафоне.
Comment 2 Andrey Bondrov 2014-09-11 01:59:28 MSD
Possibly fixed in 6012, please test.
Comment 3 Vladimir Potapov 2014-09-12 09:21:53 MSD
Проверил в 6027x64. 
Все то же самое. Нашел только особенность - не открываются только файлы с русскими именами, с аглицкими все в порядке.
FTP-сервак а-ля-виндовый, в кодировке cp1251 - возможно в этом дело. Но дельфин отображает имена правильно (если при создании кодировку указать)
Comment 4 Stanislav Fomin 2014-09-17 18:03:19 MSD
Не так он уж важен, происследуем без гарантий решения к R4
Comment 5 Vladimir Potapov 2015-04-08 16:03:31 MSD
проблема решается 
https://forums.opensuse.org/showthread.php/501385-Libreoffice-and-samba-remote-files-problem

заменой в .desktop файле строки запуска
Exec=libreoffice --writer %U => Exec=libreoffice --writer %F
Comment 6 Vladimir Potapov 2015-04-12 18:48:57 MSD
Еще одно, более правильное решение - отключить ftр как протокол, поддерживаемый через URL т.е. вычеркнуть из
X-KDE-Protocols
На гномы-lxde этот ключ не действует, так что исправится только KDE.
Comment 7 Vladimir Potapov 2016-04-25 12:01:53 MSD
Исправлено в R6